import dotenv from 'dotenv';

dotenv.config({ path: '.env' });

export default {
    schema: './src/entities/schema.js',
    out: './SQL',
    dialect: 'mysql',
    dbCredentials: {
        host: process.env.DB_HOST,
        port: Number(process.env.DB_PORT),
        user: process.env.DB_USER,
        password: process.env.DB_PASSWORD,
        database: process.env.DB_NAME,
    },
    verbose: true,
    strict: true,
    introspect: {
        // 启用驼峰命名
        casing: 'camel',
    },
};
