export const testSchema = {
    tags: ['测试'],
    summary: '测试接口',
    description: '使用用户名密码进行身份认证',
    params: {
        type: 'object',
        required: ['username', 'password'],
        properties: {
            username: { type:'string', default: 'user1' },
            password: { type:'string', default: '123456' }
        }
    },
    response: {
        200: {
            description: '登录成功',
            type: 'object',
            properties: {
                token: { type:'string' },
                expire: { type: 'number' }
            }   
        },
        401: {
            description: '认证失败',
            type: 'object',
            properties: {
                code: { type: 'number', enum: [401] },
                error: { type:'string' }
            }
        }
    }
}