import { email, username, password } from "#schema/atomSchema";
// 默认schema
export const userDefaultSchema = {

}

// 新用户注册
export const userRegisterSchema = {
    tags: ['用户体系'],
    summary: '新用户注册',
    description: '创建新用户账号（需验证手机/邮箱）',
    body: {
        type: 'object',
        required: ['username', 'email', 'password'],
        errorMessage: {
            required: {
                username: '缺少用户名',
                email: '缺少邮箱',
                password: '缺少密码',
            },
        },
        properties: {
            username,
            email,
            password
        }
    },
    response: {
        201: {
            description: '注册成功',
            type: 'object',
            properties: {
                userId: { type: 'number', example: 1001 },
                username: { type: 'string' },
                email: { type: 'string' },
                createdAt: { type: 'string', format: 'date-time' }
            }
        },
        400: {
            description: '请求参数错误',
            type: 'object',
            properties: {
                code: { type: 'number', enum: [400] },
                error: { type: 'string' }
            }
        },
        409: {
            description: '用户名/邮箱已存在',
            type: 'object',
            properties: {
                code: { type: 'number', enum: [409] },
                error: { type: 'string' }
            }
        }
    },
    security: [{}] // 不需要认证
};