import { sysUser } from "#entity";
import { or, eq } from "drizzle-orm";
// 查重用户名和邮箱
export async function checkExistsUsernameAndEmail(username, email) {
    const result = await this.db
        .select()
        .from(sysUser)
        .where(or(
            eq(sysUser.username, username),  // 明确指定字段比较
            eq(sysUser.email, email)
        ));
    
    return result.length > 0;  // 正确判断结果集是否为空
}
// 个人注册账户
export async function registerAccountForMyself(userData) {
    const [newUser] = await this.db.insert(sysUser)
        .values({
            username: userData.username,
            email: userData.email,
            password: userData.password, // 实际应存储加密后的密码
        })
    return newUser;
}