import { checkExistsUsernameAndEmail, registerAccountForMyself } from "#services/user/user.db";
// 新用户注册
export async function userRegisterService(request, reply) {
    // 1. 获取已验证的参数
    const { username, email, password } = request.body;

    // 2. 检测用户名和邮箱是否已存在
    const exists = await checkExistsUsernameAndEmail.call(this,username, email);
    if (exists) {
        throw reply.code(409).send({
            code: 'USER_EXISTS',
            message: '用户名或邮箱已存在'
        }); 
    }
    // 3. 注册用户
    await registerAccountForMyself.call(this,{
        username,
        email,
        password: await this.hash(password)
    });


}